/*
Theme Name: Twenty Twenty-Five Child
Theme URI: https://wordpress.org/themes/twentytwentyfive/
Author: the WordPress team
Version: 1.0
Template: twentytwentyfive
*/

/*
 * IMPORTANT: This file is only served on the frontend when `SCRIPT_DEBUG` is enabled;
 * in most instances, the `style.min.css` file will be served. It is not recommended that you
 * use the Theme File Editor to modify this stylesheet. Instead, add the necessary style
 * overrides via "Additional CSS" in the Site Editor.
 */

/*
 * Link styles
 * https://github.com/WordPress/gutenberg/issues/42319
 */
a {
	text-decoration-thickness: 1px !important;
	text-underline-offset: .1em;
}

/* Focus styles */
:where(.wp-site-blocks *:focus) {
	outline-width: 2px;
	outline-style: solid;
}

/* Increase the bottom margin on submenus, so that the outline is visible. */
.wp-block-navigation .wp-block-navigation-submenu .wp-block-navigation-item:not(:last-child) {
	margin-bottom: 3px;
}

/* Increase the outline offset on the parent menu items, so that the outline does not touch the text. */
.wp-block-navigation .wp-block-navigation-item .wp-block-navigation-item__content {
	outline-offset: 4px;
}

/* Remove outline offset from the submenus, otherwise the outline is visible outside the submenu container. */
.wp-block-navigation .wp-block-navigation-item ul.wp-block-navigation__submenu-container .wp-block-navigation-item__content {
	outline-offset: 0;
}

/*
 * Progressive enhancement to reduce widows and orphans
 * https://github.com/WordPress/gutenberg/issues/55190
 */
h1, h2, h3, h4, h5, h6, blockquote, caption, figcaption, p {
	text-wrap: pretty;
}

/*
 * Change the position of the more block on the front, by making it a block level element.
 * https://github.com/WordPress/gutenberg/issues/65934
*/
.more-link {
	display: block;
}

/*
 * Prevents unnecessary scrollbars while handling long lines of preformatted text.
 * https://core.trac.wordpress.org/ticket/63875
 */
:where(pre) {
	overflow-x: auto;
}

.group-attivita p strong {
	color: #0a66c2;
}

#navbarNav a {
	text-decoration: none;
	margin: 10px;
	cursor: pointer;
	color: #009999;
	font-size: 20px;
    font-weight: 500;
}

#navbarNav a.active {
	color: #0a66c2 !important;
	background-color: transparent !important;
}

.custom-nav hr {
	rotate: 90deg;
	width: 15px;
	border-top: 3px solid #009999;
	margin: auto;
}

/* Contenitore che hai tu (colonna) */
.wp-block-column {
  height: 100%;
}

/* Wrapper creato da Complianz */
.cmplz-placeholder-parent {
  height: 100vh;      /* schermo intero */
  width: 100%;
}

/* Iframe dentro Complianz */
.cmplz-placeholder-parent iframe {
  height: 100% !important;
  width: 100% !important;
  display: block;
}

#top-home {
	height: 600px;
}

.group-attivita {
	height: 320px;
}

.fixed-bottom {
	right: 20px !important;
}

#navbarNav a {
	font-weight: normal;
}

@media(max-width: 1100px) {
	.group-attivita {
	    height: 520px;
    }
}

@media(max-width: 900px) {
	.my-footer {
	    justify-content:center;
    }
	
	.footer-links {
		align-items: center !important;
		margin-top: 20px !important;
	}
	
	.fixed-bottom {
	    right: 40px !important;
    }
}

@media(max-width: 781px) {
	.group-attivita {
	    height: 250px;
    }
}

@media(max-width: 600px){
	.custom-logo {
		width:200px;
	}
}

@media(max-width: 450px) {
	.group-attivita {
	    height: 450px;
    }
	
	.custom-logo {
		width:150px;
	}
}